<h1>
  {{ currentHero.id ? 'Editar' : 'Agregar' }}
  héroe
  <small *ngIf="currentHero.id">{{ currentHero.superhero }}</small>
</h1>

<mat-divider class="mb-2"></mat-divider>

<div class="grid">
  <div class="col-12 sm:col-6">
    <mat-card>
      <mat-card-content>
        <form class="grid" [formGroup]="heroForm" (ngSubmit)="onSubmit()">
          <mat-form-field class="col-12 sm:col-6">
            <mat-label>Superhero</mat-label>
            <input matInput type="text" required formControlName="superhero" />
          </mat-form-field>

          <mat-form-field class="col-12 sm:col-6">
            <mat-label>Alter ego</mat-label>
            <input matInput type="text" required formControlName="alter_ego" />
          </mat-form-field>

          <mat-form-field class="col-12 sm:col-6">
            <mat-label>Primera Aparicion</mat-label>
            <input matInput type="text" required formControlName="first_appearance" />
          </mat-form-field>

          <mat-form-field class="col-12 sm:col-6">
            <mat-label>Caracteres</mat-label>
            <input matInput type="text" required formControlName="characters" />
          </mat-form-field>

          <mat-form-field class="col-12">
            <mat-label>Creador</mat-label>
            <mat-select formControlName="publisher" required>
              <mat-option *ngFor=" let publisher of publishers" [value]="publisher.id">
                {{publisher.name}}
              </mat-option>
            </mat-select>
          </mat-form-field>

          <mat-form-field class="col-12">
            <mat-label>Alternative Image</mat-label>
            <input matInput type="text" formControlName="alt_img" />
          </mat-form-field>
        </form>

        <div class="flex justify-content-between">
          <button *ngIf="currentHero.id" mat-flat-button color="warn" (click)="onDeleteHero()">
            <mat-icon>delete</mat-icon>
            Borrar
          </button>

          <button mat-flat-button color="primary" (click)="onSubmit()">
            <mat-icon>save</mat-icon>
            Guardar
          </button>
        </div>
      </mat-card-content>
    </mat-card>
  </div>

  <div class="col-12 sm:col-6">
    <mat-card>
      <img [src]="currentHero | heroImage" alt="Imagen heroe" mat-card-image />
    </mat-card>
  </div>
</div>

{{currentHero | json}}